package ast;

import java.util.Map;

public class Mul extends Exp {
	public Exp l;
	public Exp r;
	
	public Mul(Exp l, Exp r, int line, int col) {
		super(line, col);
		this.l = l;
		this.r = r;
	}

	public Object eval(Map<String,Object> env) {
		return (Double)l.eval(env) * (Double)r.eval(env);
	}

	public String label() {
		return "*";
	}
}
